#ifndef _BT_NUS_H_
#define _BT_NUS_H_

typedef enum {
    BT_NUS_STATE_DISCONNECT = 0,     /*  0: disconnected */
    BT_NUS_STATE_CONNECT,        /*  1: connecting */
    BT_NUS_STATE_SYNC,           /*  2: syncing time */
    BT_NUS_STATE_SKIN,           /*  3: skin clor setting */
    BT_NUS_STATE_CAPTURE,        /*  4: capturing */
    BT_NUS_STATE_MEASURE_BEGIN,  /*  5: measuring begin */
    BT_NUS_STATE_MEASURE,        /*  6: measuring */  
    BT_NUS_STATE_MEASURE_ENDING, /*  7: measuring ending */
    BT_NUS_STATE_MEASURE_ENDED,  /*  8: measuring ended */
    BT_NUS_STATE_STOP_BEGIN,     /*  9: stopping begin */
    BT_NUS_STATE_STOP,           /* 10: stopped */
    BT_NUS_STATE_READ_BEGIN,     /* 11: reading begin */
    BT_NUS_STATE_READ,           /* 12: reading */
} bt_nus_state_t;

int            btNusInit(void);
uint32_t       btNusSend(void);
void           btNusTxBufClear(void);
bool           btNusTxBufEmpty(void);
uint32_t       btNusGetMtu(void);
void           btNusSetMtu(const uint32_t mtu);
bt_nus_state_t btNusGetState(void);
void           btNusSetState(const bt_nus_state_t state);
bool           btNusGetTxCompleted(void);
void           btNusSetTxCompleted(const bool completed);
void           btNusThreadAbort(void);
void           btNusThreadCreate(void);
void           btNusThreadResume(void);
void           btNusThreadSuspend(void);
uint16_t       btNusWriteData(uint8_t *pValue, uint16_t len); 
void           btNusPrintState(void);
#endif /* _BT_NUS_H_ */

