/*
 * Copyright (c) 2018 Nordic Semiconductor ASA
 *
 * SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
 */

#ifndef _NRF5340_BOARD_H_
#define _NRF5340_BOARD_H_

#define PSEL(port, pin) (port*32 + pin)

// 32.768 kHZ crystal
#define F32K_XL1 PSEL(0, 0)
#define F32K_XL2 PSEL(0, 1)

// ADC
#define SPI_ADC_R1_CS  PSEL(0, 6)
#define SPI_ADC_R2_CS  PSEL(0, 4)
#define SPI_ADC_R_SCK  PSEL(0, 5)
#define SPI_ADC_L1_CS  PSEL(0, 13)
#define SPI_ADC_L2_CS  PSEL(0, 14)
#define SPI_ADC_L_MOSI PSEL(0, 15)
#define SPI_ADC_L_MISO PSEL(0, 22)
#define SPI_ADC_R_MOSI PSEL(1, 0)
#define SPI_ADC_R_MISO PSEL(1, 1)
#define SPI_ADC_L_SCK  PSEL(1, 5)

// battery
#define DET_VBAT   PSEL(0, 28)
#define DETEN_VBAT PSEL(1, 10)

// button
#define SW_IN    PSEL(0, 23)
#define BUTTON_0 SW_IN

// debug
#define NRF_RX PSEL(0, 27)

// G-sensor
#define SPI2_SDO PSEL(0, 24)
#define SPI2_CS  PSEL(0, 25)
#define SPI2_SDI PSEL(0, 26)
#define GS_INT1  PSEL(1, 4)

// I2C
#define I2C_LEDRV_SCL PSEL(0, 16)
#define I2C_LEDRV_SDA PSEL(0, 17)

// IO expander
#define NRF_IOEXP_NRST PSEL(1, 2)
#define NRF_IOEXP_NINT PSEL(1, 3)

// LDO
#define POWER_UP PSEL(0, 30)

// LED
#define CTRL_DAC_LED PSEL(0, 18)
#define CTRL_LED_A1  PSEL(0, 19)
#define CTRL_LED_A2  PSEL(0, 12)
#define CTRL_LED_A3  PSEL(0, 7)
#define CTRL_LED_A4  PSEL(1, 14)
#define CTRL_LED_A5  PSEL(1, 15)
#define CTRL_LED_B1  PSEL(0, 20)
#define CTRL_LED_B2  PSEL(0, 21)
#define CTRL_LED_B3  PSEL(1, 13)
#define CTRL_LED_B4  PSEL(1, 12)
#define CTRL_LED_B5  PSEL(1, 11)
#define NRF_LED1     PSEL(0, 29)
#define NRF_LED2     PSEL(1, 9)
#define NRF_LED3     PSEL(1, 7)
#define LED_OR       NRF_LED1
#define LED_W        NRF_LED2
#define LED_B        NRF_LED3

// NOR
#define SPI1_CLK  PSEL(0, 8)
#define SPI1_MOSI PSEL(0, 9)
#define SPI1_MISO PSEL(0, 10)
#define SPI1_CS   PSEL(0, 11)

// power
#define PWRGT_OFF PSEL(0, 31)

#endif /* _NRF5340_BOARD_H_ */


